rileyb76
Enthusiast
Enthusiast

CentOS 8 rolling back install of Workstation 16

We are testing CentOS 8 (4.18.0-193.28.1.el8_2.x86_64) and VMWare Workstation 16.0.0-16894299 for our environment.  However, Workstation keeps wanting to roll back the install.  

 

$ sudo sh ./VMware-Workstation-Full-16.0.0-16894299.x86_64.bundle

Extracting VMware Installer...done.
Rolling back VMware VMX 16.0.0
Deconfiguring...
Uninstalling VMware Installer 3.0.0
Deconfiguring...
[######################################################################] 100%
Installation was unsuccessful.

 

Here are the contents of /var/log/vmware-installer.  Do any of you all have any clues?  Thanks in advance!

 

2020-11-23 14:33:37,018] Installer running.
[2020-11-23 14:33:37,018] Command Line Arguments:
[2020-11-23 14:33:37,018] ['/tmp/vmis.bEfOIu/install/vmware-installer/vmware-installer.py', '--set-setting', 'vmware-installer', 'libconf', '', '--install-component', '/tmp/vmis.bEfOIu/install/vmware-installer', '--install-bundle', '/home/x/./VMware-Workstation-Full-16.0.0-16894299.x86_64.bundle', '']
[2020-11-23 14:33:37,040] System installer version is: 3.0.0.16894299
[2020-11-23 14:33:37,040] Running installer version is: 3.0.0.16894299
[2020-11-23 14:33:37,040] Opening database file /etc/vmware-installer/database
[2020-11-23 14:33:37,071] Could not locate installer App Control.
[2020-11-23 14:33:37,132] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/initscript.py already exists, overwriting.
[2020-11-23 14:33:37,135] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/update.py already exists, overwriting.
[2020-11-23 14:33:37,140] destination /tmp/tmpzadlzsv_/.installer/16.0.0/__init__.py already exists, overwriting.
[2020-11-23 14:33:37,141] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/systemType.py already exists, overwriting.
[2020-11-23 14:33:37,144] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/versions.py already exists, overwriting.
[2020-11-23 14:33:37,148] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/update.py already exists, overwriting.
[2020-11-23 14:33:37,151] destination /tmp/tmpzadlzsv_/.installer/16.0.0/__init__.py already exists, overwriting.
[2020-11-23 14:33:37,154] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/initscript.py already exists, overwriting.
[2020-11-23 14:33:37,156] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/versions.py already exists, overwriting.
[2020-11-23 14:33:37,158] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/systemType.py already exists, overwriting.
[2020-11-23 14:33:37,184] Kernel release string 4.18.0-193.28.1.el8_2.x86_64
[2020-11-23 14:33:37,185] Found Linux kernel version (4, 18, 0)
[2020-11-23 14:33:37,189] Glibc brand string ldd (GNU libc) 2.28
[2020-11-23 14:33:37,190] Found glibc version (2, 28)
[2020-11-23 14:33:37,215] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/update.py already exists, overwriting.
[2020-11-23 14:33:37,217] destination /tmp/tmpzadlzsv_/.installer/11.1.5/__init__.py already exists, overwriting.
[2020-11-23 14:33:37,218] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/initscript.py already exists, overwriting.
[2020-11-23 14:33:37,219] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/versions.py already exists, overwriting.
[2020-11-23 14:33:37,221] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/systemType.py already exists, overwriting.
[2020-11-23 14:33:37,227] destination /tmp/tmpzadlzsv_/.installer/11.1.5/__init__.py already exists, overwriting.
[2020-11-23 14:33:37,229] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/versions.py already exists, overwriting.
[2020-11-23 14:33:37,231] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/update.py already exists, overwriting.
[2020-11-23 14:33:37,233] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/initscript.py already exists, overwriting.
[2020-11-23 14:33:37,234] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/systemType.py already exists, overwriting.
[2020-11-23 14:33:37,238] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/initscript.py already exists, overwriting.
[2020-11-23 14:33:37,240] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/versions.py already exists, overwriting.
[2020-11-23 14:33:37,241] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/systemType.py already exists, overwriting.
[2020-11-23 14:33:37,245] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/update.py already exists, overwriting.
[2020-11-23 14:33:37,246] destination /tmp/tmpzadlzsv_/.installer/11.1.5/__init__.py already exists, overwriting.
[2020-11-23 14:33:37,251] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/systemType.py already exists, overwriting.
[2020-11-23 14:33:37,253] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/update.py already exists, overwriting.
[2020-11-23 14:33:37,255] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/versions.py already exists, overwriting.
[2020-11-23 14:33:37,256] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/initscript.py already exists, overwriting.
[2020-11-23 14:33:37,258] destination /tmp/tmpzadlzsv_/.installer/11.1.5/__init__.py already exists, overwriting.
[2020-11-23 14:33:37,261] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/update.py already exists, overwriting.
[2020-11-23 14:33:37,263] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/initscript.py already exists, overwriting.
[2020-11-23 14:33:37,265] destination /tmp/tmpzadlzsv_/.installer/11.1.5/__init__.py already exists, overwriting.
[2020-11-23 14:33:37,268] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/systemType.py already exists, overwriting.
[2020-11-23 14:33:37,269] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/versions.py already exists, overwriting.
[2020-11-23 14:33:37,273] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/update.py already exists, overwriting.
[2020-11-23 14:33:37,275] destination /tmp/tmpzadlzsv_/.installer/11.1.5/__init__.py already exists, overwriting.
[2020-11-23 14:33:37,276] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/systemType.py already exists, overwriting.
[2020-11-23 14:33:37,278] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/versions.py already exists, overwriting.
[2020-11-23 14:33:37,281] destination /tmp/tmpzadlzsv_/.installer/11.1.5/include/initscript.py already exists, overwriting.
[2020-11-23 14:33:37,285] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/update.py already exists, overwriting.
[2020-11-23 14:33:37,289] destination /tmp/tmpzadlzsv_/.installer/16.0.0/__init__.py already exists, overwriting.
[2020-11-23 14:33:37,290] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/versions.py already exists, overwriting.
[2020-11-23 14:33:37,291] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/systemType.py already exists, overwriting.
[2020-11-23 14:33:37,293] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/initscript.py already exists, overwriting.
[2020-11-23 14:33:37,315] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/versions.py already exists, overwriting.
[2020-11-23 14:33:37,317] destination /tmp/tmpzadlzsv_/.installer/16.0.0/__init__.py already exists, overwriting.
[2020-11-23 14:33:37,318] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/initscript.py already exists, overwriting.
[2020-11-23 14:33:37,319] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/systemType.py already exists, overwriting.
[2020-11-23 14:33:37,321] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/update.py already exists, overwriting.
[2020-11-23 14:33:37,338] destination /tmp/tmpzadlzsv_/.installer/1.17.0/include/initscript.py already exists, overwriting.
[2020-11-23 14:33:37,341] destination /tmp/tmpzadlzsv_/.installer/1.17.0/include/update.py already exists, overwriting.
[2020-11-23 14:33:37,343] destination /tmp/tmpzadlzsv_/.installer/1.17.0/__init__.py already exists, overwriting.
[2020-11-23 14:33:37,344] destination /tmp/tmpzadlzsv_/.installer/1.17.0/include/systemType.py already exists, overwriting.
[2020-11-23 14:33:37,346] destination /tmp/tmpzadlzsv_/.installer/1.17.0/include/versions.py already exists, overwriting.
[2020-11-23 14:33:37,349] destination /tmp/tmpzadlzsv_/.installer/16.0.0/__init__.py already exists, overwriting.
[2020-11-23 14:33:37,350] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/update.py already exists, overwriting.
[2020-11-23 14:33:37,352] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/initscript.py already exists, overwriting.
[2020-11-23 14:33:37,354] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/systemType.py already exists, overwriting.
[2020-11-23 14:33:37,355] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/versions.py already exists, overwriting.
[2020-11-23 14:33:37,361] destination /tmp/tmpzadlzsv_/.installer/16.0.0/__init__.py already exists, overwriting.
[2020-11-23 14:33:37,362] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/versions.py already exists, overwriting.
[2020-11-23 14:33:37,365] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/update.py already exists, overwriting.
[2020-11-23 14:33:37,367] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/systemType.py already exists, overwriting.
[2020-11-23 14:33:37,369] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/initscript.py already exists, overwriting.
[2020-11-23 14:33:37,374] destination /tmp/tmpzadlzsv_/.installer/16.0.0/__init__.py already exists, overwriting.
[2020-11-23 14:33:37,375] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/versions.py already exists, overwriting.
[2020-11-23 14:33:37,377] destination /tmp/tmpzadlzsv_/.installer/16.0.0/vmware-workstation.py already exists, overwriting.
[2020-11-23 14:33:37,379] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/update.py already exists, overwriting.
[2020-11-23 14:33:37,381] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/systemType.py already exists, overwriting.
[2020-11-23 14:33:37,384] destination /tmp/tmpzadlzsv_/.installer/16.0.0/include/initscript.py already exists, overwriting.
[2020-11-23 14:33:37,407] Ignored execution error: [Errno 1] Operation not permitted: '/tmp/vmis.bEfOIu/checkvm' when running command: [path('/tmp/vmis.bEfOIu/checkvm')]
[2020-11-23 14:33:37,408] Something went wrong detecting whether we are in a VM or not. Assuming we are not.
[2020-11-23 14:33:37,423] b'262144\n'
[2020-11-23 14:33:37,423] b''
[2020-11-23 14:33:37,424] Cannot use vmware-app-control to shut down open VMs, defaulting to fallback message.
[2020-11-23 14:33:37,425] Ignored execution error: [Errno 2] No such file or directory: '/etc/rc.d/init.d/vmware' when running command: [path('/etc/rc.d/init.d/vmware'), 'stoppable']
[2020-11-23 14:33:37,434] b''
[2020-11-23 14:33:37,435] b''
[2020-11-23 14:33:37,602] This system has KVM enabled. You cannot run VMs with KVM enabled.
[2020-11-23 14:34:13,493] b''
[2020-11-23 14:34:13,494] b''
[2020-11-23 14:34:13,495] Installed Service: vmware-USBArbitrator
[2020-11-23 14:34:13,546] b'\x1b[71Gfailed\n'
[2020-11-23 14:34:13,546] b''
[2020-11-23 14:34:13,547] Unable to stop current USB Arbitrator service. Not fatal.
[2020-11-23 14:34:13,602] b'\x1b[71G done\n'
[2020-11-23 14:34:13,602] b''
[2020-11-23 14:34:13,627] Could not get mtime for /usr/lib/vmware/bin/vmware-netcfg
Traceback (most recent call last):
File "/tmp/vmis.bEfOIu/install/vmware-installer/vmis/core/install.py", line 409, in Execute
fileMtime = int(filePath.mtime)
File "/tmp/vmis.bEfOIu/install/vmware-installer/python/lib/genericpath.py", line 55, in getmtime
return os.stat(filename).st_mtime
FileNotFoundError: [Errno 2] No such file or directory: path('/usr/lib/vmware/bin/vmware-netcfg')
[2020-11-23 14:34:13,636] b'4.18.0-193.28.1.el8_2.x86_64\n'
[2020-11-23 14:34:13,636] b''
[2020-11-23 14:34:20,717] Attempting to change symlink /usr/lib/vmware/bin/vmware-gksu to permission 755. Operation is not allowed, skipping.
[2020-11-23 14:34:20,717] Attempting to change symlink /usr/lib/vmware/bin/vmware-modconfig to permission 755. Operation is not allowed, skipping.
[2020-11-23 14:34:20,717] Attempting to change symlink /usr/lib/vmware/bin/vmware-modconfig-console to permission 755. Operation is not allowed, skipping.
[2020-11-23 14:34:20,718] Attempting to change symlink /usr/lib/vmware/bin/vmware-vmblock-fuse to permission 755. Operation is not allowed, skipping.
[2020-11-23 14:34:20,729] Command killed by timeout: ['/usr/lib/vmware/setup/vmware-config', '-s', 'libdir', '/usr/lib/vmware']
[2020-11-23 14:34:20,730] Traceback (most recent call last):

File "/tmp/vmis.bEfOIu/install/vmware-installer/vmis/util/shell.py", line 188, in run
retval = run_(program, args, kwargs)

File "/tmp/vmis.bEfOIu/install/vmware-installer/vmis/util/shell.py", line 118, in run_
pipe = Popen([str(program)] + [str(arg) for arg in args],

File "/tmp/vmis.bEfOIu/install/vmware-installer/python/lib/subprocess.py", line 854, in __init__
self._execute_child(args, executable, preexec_fn, close_fds,

File "/tmp/vmis.bEfOIu/install/vmware-installer/python/lib/subprocess.py", line 1702, in _execute_child
raise child_exception_type(errno_num, err_msg, err_filename)

PermissionError: [Errno 1] Operation not permitted: '/usr/lib/vmware/setup/vmware-config'


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

File "/tmp/vmis.bEfOIu/install/vmware-installer/vmis/core/remoteinstaller.py", line 301, in MessageIn
ret = method(*args, **kwargs)

File "/tmp/vmis.bEfOIu/install/vmware-installer/vmis/core/installer.py", line 331, in RunCommand
return self.proxyObject.RunCommand(*args, **kwargs)

File "/tmp/vmis.bEfOIu/install/vmware-installer/vmis/core/localinstallerops.py", line 224, in RunCommand
return shell.run(*args, **kwargs)

File "/tmp/vmis.bEfOIu/install/vmware-installer/vmis/util/shell.py", line 192, in run
raise OSError('Process timed out and was killed.')

OSError: Process timed out and was killed.

[2020-11-23 14:34:20,731] [vmware-vmx 16.0.0] Installation failed, rolling back installation.
[2020-11-23 14:34:20,751] b''
[2020-11-23 14:34:20,751] b'/etc/rc.d/init.d/vmware: line 15: /vmware/scripts/util.sh: No such file or directory\n/etc/rc.d/init.d/vmware: line 17: load_settings: command not found\n'
[2020-11-23 14:34:20,755] b''
[2020-11-23 14:34:20,755] b'service vmware does not support chkconfig\n'
[2020-11-23 14:34:20,757] Uninstalled Service: vmware
[2020-11-23 14:34:20,762] Command killed by timeout: ['/usr/lib/vmware/setup/vmware-config', '-d', 'libdir']
[2020-11-23 14:34:20,763] Traceback (most recent call last):

File "/tmp/vmis.bEfOIu/install/vmware-installer/vmis/core/common.py", line 141, in Show
wrap(i.PostInstall, txn.opts['ignoreErrors'])

File "/tmp/vmis.bEfOIu/install/vmware-installer/vmis/util/__init__.py", line 26, in wrap
func(*args, **kwargs)

File "/tmp/vmis.bEfOIu/install/vmware-installer/vmis/core/install.py", line 346, in PostInstall
self._installer.PostInstall(**self.args)

File "/tmp/vmis.bEfOIu/install/vmware-installer/vmis/core/remoteinstaller.py", line 161, in PostInstall
return self.MessageOut(self.whoami(), old, new, upgrade)

File "/tmp/vmis.bEfOIu/install/vmware-installer/vmis/core/remoteinstaller.py", line 435, in MessageOut
raise Exception(excepValue)

Exception: VMIS:Process timed out and was killed.


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

File "/tmp/vmis.bEfOIu/install/vmware-installer/vmis/util/shell.py", line 188, in run
retval = run_(program, args, kwargs)

File "/tmp/vmis.bEfOIu/install/vmware-installer/vmis/util/shell.py", line 118, in run_
pipe = Popen([str(program)] + [str(arg) for arg in args],

File "/tmp/vmis.bEfOIu/install/vmware-installer/python/lib/subprocess.py", line 854, in __init__
self._execute_child(args, executable, preexec_fn, close_fds,

File "/tmp/vmis.bEfOIu/install/vmware-installer/python/lib/subprocess.py", line 1702, in _execute_child
raise child_exception_type(errno_num, err_msg, err_filename)

PermissionError: [Errno 1] Operation not permitted: '/usr/lib/vmware/setup/vmware-config'



Labels (8)
0 Kudos
0 Replies